Upsert Notification Preference Workspace Rule
curl --request PUT \
--url https://cloud.kaneo.app/api/notification-preferences/workspaces/{workspaceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isActive": true,
"emailEnabled": true,
"ntfyEnabled": true,
"gotifyEnabled": true,
"webhookEnabled": true,
"selectedProjectIds": [
"<string>"
]
}
'import requests
url = "https://cloud.kaneo.app/api/notification-preferences/workspaces/{workspaceId}"
payload = {
"isActive": True,
"emailEnabled": True,
"ntfyEnabled": True,
"gotifyEnabled": True,
"webhookEnabled": True,
"selectedProjectIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
isActive: true,
emailEnabled: true,
ntfyEnabled: true,
gotifyEnabled: true,
webhookEnabled: true,
selectedProjectIds: ['<string>']
})
};
fetch('https://cloud.kaneo.app/api/notification-preferences/workspaces/{workspaceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"emailAddress": "<string>",
"emailEnabled": true,
"ntfyEnabled": true,
"ntfyConfigured": true,
"ntfyServerUrl": "<string>",
"ntfyTopic": "<string>",
"ntfyTokenConfigured": true,
"maskedNtfyToken": "<string>",
"gotifyEnabled": true,
"gotifyConfigured": true,
"gotifyServerUrl": "<string>",
"gotifyTokenConfigured": true,
"maskedGotifyToken": "<string>",
"webhookEnabled": true,
"webhookConfigured": true,
"webhookUrl": "<string>",
"webhookSecretConfigured": true,
"maskedWebhookSecret": "<string>",
"workspaces": [
{
"id": "<string>",
"workspaceId": "<string>",
"workspaceName": "<string>",
"isActive": true,
"emailEnabled": true,
"ntfyEnabled": true,
"gotifyEnabled": true,
"webhookEnabled": true,
"selectedProjectIds": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": null,
"updatedAt": null
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Notification Preferences
Upsert Notification Preference Workspace Rule
Create or update a workspace notification rule
PUT
/
notification-preferences
/
workspaces
/
{workspaceId}
Upsert Notification Preference Workspace Rule
Authorizations
Bearer token authentication
Path Parameters
Body
application/json
Response
Updated notification preferences
Show child attributes
Show child attributes
Was this page helpful?
⌘I